package com.biganto.visual.roompark.domain.contract

import com.biganto.visual.roompark.domain.model.PlanPresetModel
import io.reactivex.Observable

/**
 * Created by Vladislav Bogdashkin on 20.04.2020.
 */

interface FlatPlanContract{

    fun getPlanTypes(estateId: Int): Observable<List<PlanPresetModel>>
    fun getPlan(
        estateId: Int
        , planId: Int
        , furniture:Boolean?
        , sizes:Boolean?
        , walls:Boolean?
        , electric:Boolean?): Observable<String>

}